From: "Marek Szuba" <marecki@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/bibletime/
Date: Mon, 24 Aug 2020 17:19:14 +0000 (UTC) [thread overview]
Message-ID: <1598288843.b0516dc9d89a0279a33ba8c78b7eddfc9d429a3f.marecki@gentoo> (raw)
commit: b0516dc9d89a0279a33ba8c78b7eddfc9d429a3f
Author: Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 24 13:37:40 2020 +0000
Commit: Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Mon Aug 24 17:07:23 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0516dc9
app-text/bibletime: bump to 3.0
Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>
app-text/bibletime/Manifest | 1 +
app-text/bibletime/bibletime-3.0.ebuild | 68 +++++++++++++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/app-text/bibletime/Manifest b/app-text/bibletime/Manifest
index 08f40b4010d..689a11088bb 100644
--- a/app-text/bibletime/Manifest
+++ b/app-text/bibletime/Manifest
@@ -1,2 +1,3 @@
DIST bibletime-2.11.0.tar.xz 2403136 BLAKE2B fecf854a40ad0e188fde8ad3d047acf6274bfdf20f6a6211a6ff9d41e3de38f4d311db92e2b2fdf735e293163637cf4b553e722a05174d8c84201e94cf6e7b7c SHA512 41f0751db30b9001d04e1c4040dca022c83eb440987104e2c3465f4233f8c0ecb1c940eac0433409f97f78c89c00d0f880f822a51219eadcbf3fc6513cfa81e6
DIST bibletime-2.11.2.tar.xz 2533472 BLAKE2B b116bbefaac8106d1f283d1c1a0c4d4c17e67d1cb41066c219ecca243914b0fa355748ebebb23ec88c1749548c853166d391764a454dd77b43c6617072a648a6 SHA512 99e2500e07797549e32ac28238c90a4db1cd98f74ea20f0161db7675127f42363006f20d859504be958bfdecf80a18a96229a1bbc105d332af97644fafc92d31
+DIST bibletime-3.0.tar.xz 1568732 BLAKE2B f1e9cb23d64d566d8b0934cfbdffabb52193f240523ad3ba79bbf0e3cd3ff516354791bf0b057354820cd3303c01d3ec50aa61f2e7843b1083c74d442d915a89 SHA512 85afc2781807345ea8fdefea6d179955fa76085c0a9c97e47321ea37ef9ea05367678c54bacfc10cf1d6085d46ba6fbd1c7d448044ffdfe3c96007ee8d7e5c00
diff --git a/app-text/bibletime/bibletime-3.0.ebuild b/app-text/bibletime/bibletime-3.0.ebuild
new file mode 100644
index 00000000000..599fd22e454
--- /dev/null
+++ b/app-text/bibletime/bibletime-3.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+VIRTUALX_REQUIRED=test
+
+inherit cmake virtualx
+
+DESCRIPTION="Qt Bible-study application using the SWORD library"
+HOMEPAGE="http://bibletime.info/"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# Some tests fail due to being unable to find an icon directory relative
+# to ${WORKDIR}, some others segfault. Needs work.
+RESTRICT="test"
+
+RDEPEND=">=app-text/sword-1.8.1
+ dev-cpp/clucene
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwebchannel:5
+ dev-qt/qtwebengine:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5"
+DEPEND="${RDEPEND}
+ dev-libs/boost
+ dev-libs/icu:=
+ dev-qt/linguist-tools:5
+ dev-qt/qttest:5
+ net-misc/curl
+ sys-libs/zlib"
+#BDEPEND="test? (
+# app-dicts/sword-Josephus
+# app-dicts/sword-KJV
+# app-dicts/sword-KJVA
+# app-dicts/sword-Scofield
+# app-dicts/sword-StrongsGreek
+#)"
+
+DOCS=( ChangeLog README.md )
+
+src_prepare() {
+ cmake_src_prepare
+
+ sed -e "s:Dictionary;Qt:Dictionary;Office;TextTools;Utility;Qt:" \
+ -i cmake/platforms/linux/bibletime.desktop.cmake || die "fixing .desktop file failed"
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_HANDBOOK_HTML=no
+ -DBUILD_HANDBOOK_PDF=no
+ -DBUILD_HOWTO_HTML=no
+ -DBUILD_HOWTO_PDF=no
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ virtx cmake_src_test || die "Test run has failed"
+}
next reply other threads:[~2020-08-24 17:19 UTC|newest]
Thread overview: 45+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-08-24 17:19 Marek Szuba [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-24 5:26 [gentoo-commits] repo/gentoo:master commit in: app-text/bibletime/ Sam James
2025-03-10 3:02 Sam James
2025-02-14 13:07 Andreas Sturmlechner
2025-02-14 13:07 Andreas Sturmlechner
2025-02-14 13:07 Andreas Sturmlechner
2024-11-23 11:36 Andreas Sturmlechner
2022-11-10 22:40 Marek Szuba
2022-11-10 22:40 Marek Szuba
2022-09-16 10:30 Marek Szuba
2022-09-02 10:58 Marek Szuba
2022-09-02 10:58 Marek Szuba
2022-07-26 8:50 Marek Szuba
2022-07-25 22:15 Marek Szuba
2022-06-30 9:02 Marek Szuba
2022-06-30 7:01 Agostino Sarubbo
2022-06-29 11:58 Sam James
2022-05-19 6:49 Marek Szuba
2021-11-20 10:37 Marek Szuba
2021-11-20 7:28 Agostino Sarubbo
2021-11-20 7:26 Agostino Sarubbo
2021-09-03 12:15 Marek Szuba
2021-09-03 6:40 Agostino Sarubbo
2021-09-01 0:08 Marek Szuba
2021-09-01 0:08 Marek Szuba
2021-08-03 11:11 Marek Szuba
2021-05-31 8:51 Marek Szuba
2021-05-31 8:51 Marek Szuba
2021-05-26 11:22 Marek Szuba
2021-05-26 11:22 Marek Szuba
2021-02-15 12:39 Marek Szuba
2020-11-13 14:30 Sam James
2020-09-05 19:44 Marek Szuba
2020-07-31 8:44 Marek Szuba
2020-07-30 11:18 Marek Szuba
2018-06-20 1:21 Chris Reffett
2018-06-20 1:21 Chris Reffett
2017-06-05 11:05 Agostino Sarubbo
2017-03-22 19:38 Johannes Huber
2017-03-22 19:38 Johannes Huber
2017-01-10 23:14 Chris Reffett
2017-01-10 14:56 Agostino Sarubbo
2015-12-27 17:29 Michael Palimaka
2015-12-27 17:28 Michael Palimaka
2015-10-01 14:21 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1598288843.b0516dc9d89a0279a33ba8c78b7eddfc9d429a3f.marecki@gentoo \
--to=marecki@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox